> ## Documentation Index
> Fetch the complete documentation index at: https://docs.darwin.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get application usage

> Summarizes Search, Act, Host, and account-administration usage for the application.



## OpenAPI

````yaml /openapi-v2.json get /account/applications/{applicationId}/usage
openapi: 3.1.0
info:
  title: Darwin API v2
  version: 2.0.0-preview
  description: >-
    The implemented Search, Act, and Host products plus Account administration.
    Operations are added only after runtime and contract verification.
servers:
  - url: https://api.darwin.so/api/v2
    description: Production — use live `darwin_…` keys.
  - url: https://api.dev.darwin.so/api/v2
    description: Sandbox — use isolated `darwin_test_…` keys.
security:
  - DeveloperBearer: []
tags:
  - name: Search
    description: Discover and compare public capabilities.
  - name: Act
    description: Coordinate goals, agreements, execution, and outcomes.
  - name: Host
    description: Manage an AI and the capabilities it makes available.
  - name: Account
    description: Inspect the authenticated account, its AIs, and OAuth applications.
paths:
  /account/applications/{applicationId}/usage:
    get:
      tags:
        - Account
      summary: Get application usage
      description: >-
        Summarizes Search, Act, Host, and account-administration usage for the
        application.
      operationId: getAccountApplicationUsage
      parameters:
        - name: applicationId
          in: path
          required: true
          schema:
            type: string
        - name: days
          in: query
          required: false
          schema:
            type: integer
            enum:
              - 7
              - 30
              - 90
            default: 30
      responses:
        '200':
          description: Application usage summary.
          content:
            application/json:
              schema:
                type: object
                required:
                  - usage
                properties:
                  usage:
                    type: object
                    additionalProperties: true
components:
  securitySchemes:
    DeveloperBearer:
      type: http
      scheme: bearer
      bearerFormat: Darwin API key
      description: >-
        Production keys begin with `darwin_`. Isolated sandbox keys begin with
        `darwin_test_`. Create keys in Developer settings.

````